"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const dqfxjdData_1 = require("../data/table/dqfxjdData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*                            当前风险节点                    */
function getData(req, res) {
    let excelData = dqfxjdData_1.dqfxjdTableData();
    let ret = {};
    let dqfxzsPackageData = inFrontOut_1.keyValuePackage(excelData['当前风险指数'].dataList);
    ret['dqfxzs'] = out_1.getKeyValueOut('当前风险指数', dqfxzsPackageData);
    let jkPackageData = inFrontOut_1.keyValuePackage(excelData['基坑'].dataList);
    ret['jk'] = out_1.getKeyValueOut('基坑', jkPackageData);
    let qjPackageData = inFrontOut_1.keyValuePackage(excelData['区间'].dataList);
    ret['qj'] = out_1.getKeyValueOut('区间', qjPackageData);
    let ptdPackageData = inFrontOut_1.keyValuePackage(excelData['旁通道'].dataList);
    ret['ptd'] = out_1.getKeyValueOut('旁通道', ptdPackageData);
    res.send(ret);
}
exports.getData = getData;
//# sourceMappingURL=dqfxjd.js.map