"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getJHJD = exports.getData = void 0;
const jhjdData_1 = require("../data/table/jhjdData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*                            计划进度                    */
function getData(req, res) {
    let excelData = jhjdData_1.jhjdTableData();
    let ret = {};
    let zjblPackageData = inFrontOut_1.keyValuePackage(excelData['证件办理'].dataList);
    ret['zjbl'] = out_1.getKeyValueOut('证件办理', zjblPackageData);
    let zjblxxxlPackageData = inFrontOut_1.keyValuePackage(excelData['证件办理详细线路'].dataList);
    ret['zjblxxxl'] = out_1.getKeyValueOut('证件办理详细线路', zjblxxxlPackageData);
    let dqPackageData = inFrontOut_1.keyValuePackage(excelData['动迁'].dataList);
    ret['dq'] = out_1.getKeyValueOut('动迁', dqPackageData);
    let dqxxxlPackageData = inFrontOut_1.keyValuePackage(excelData['动迁详细线路'].dataList);
    ret['dqxxxl'] = out_1.getKeyValueOut('动迁详细线路', dqxxxlPackageData);
    let yjPackageData = inFrontOut_1.keyValuePackage(excelData['移交'].dataList);
    ret['yj'] = out_1.getKeyValueOut('移交', yjPackageData);
    let yjxxxlPackageData = inFrontOut_1.keyValuePackage(excelData['移交详细线路'].dataList);
    ret['yjxxxl'] = out_1.getKeyValueOut('移交详细线路', yjxxxlPackageData);
    res.send(ret);
}
exports.getData = getData;
function getJHJD(req, res) {
    let {} = req;
}
exports.getJHJD = getJHJD;
//# sourceMappingURL=jhjd.js.map