
import { jhjdTableData } from '../data/table/jhjdData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            计划进度                    */

export function getData(req, res) {
    let excelData = jhjdTableData();

    let ret:any = {};

    let zjblPackageData = keyValuePackage(excelData['证件办理'].dataList);
    ret['zjbl'] = getKeyValueOut('证件办理', zjblPackageData);
                    
    let zjblxxxlPackageData = keyValuePackage(excelData['证件办理详细线路'].dataList);
    ret['zjblxxxl'] = getKeyValueOut('证件办理详细线路', zjblxxxlPackageData);
                    
    let dqPackageData = keyValuePackage(excelData['动迁'].dataList);
    ret['dq'] = getKeyValueOut('动迁', dqPackageData);
                    
    let dqxxxlPackageData = keyValuePackage(excelData['动迁详细线路'].dataList);
    ret['dqxxxl'] = getKeyValueOut('动迁详细线路', dqxxxlPackageData);
                    
    let yjPackageData = keyValuePackage(excelData['移交'].dataList);
    ret['yj'] = getKeyValueOut('移交', yjPackageData);
                    
    let yjxxxlPackageData = keyValuePackage(excelData['移交详细线路'].dataList);
    ret['yjxxxl'] = getKeyValueOut('移交详细线路', yjxxxlPackageData);
                     
    res.send(ret);
}

export function getJHJD(req, res) {
    let {} = req;
}