"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getData = void 0;
const xxjdData_1 = require("../data/table/xxjdData");
const inFrontOut_1 = require("../dataPackage/inFrontOut");
const out_1 = require("../dataPackage/out");
/*                            形象进度                    */
function getData(req, res) {
    let excelData = xxjdData_1.xxjdTableData();
    let ret = {};
    let czzsPackageData = inFrontOut_1.keyValuePackage(excelData['车站总数'].dataList);
    ret['czzs'] = out_1.getKeyValueOut('车站总数', czzsPackageData);
    let czxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['车站详细数据'].dataList);
    ret['czxxsj'] = out_1.getKeyValueOut('车站详细数据', czxxsjPackageData);
    let dgjgztsPackageData = inFrontOut_1.keyValuePackage(excelData['盾构机工作台数'].dataList);
    ret['dgjgzts'] = out_1.getKeyValueOut('盾构机工作台数', dgjgztsPackageData);
    let dgjxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['盾构机详细数据'].dataList);
    ret['dgjxxsj'] = out_1.getKeyValueOut('盾构机详细数据', dgjxxsjPackageData);
    let ptdzsPackageData = inFrontOut_1.keyValuePackage(excelData['旁通道总数'].dataList);
    ret['ptdzs'] = out_1.getKeyValueOut('旁通道总数', ptdzsPackageData);
    let ptdxxsjPackageData = inFrontOut_1.keyValuePackage(excelData['旁通道详细数据'].dataList);
    ret['ptdxxsj'] = out_1.getKeyValueOut('旁通道详细数据', ptdxxsjPackageData);
    res.send(ret);
}
exports.getData = getData;
//# sourceMappingURL=xxjd.js.map