"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.setRouter = void 0;
const asyncHandler = require("express-async-handler");
const jhjdBiz = require("../biz/jhjd");
const xxjdBiz = require("../biz/xxjd");
const lcbjdwcqkBiz = require("../biz/lcbjdwcqk");
const zmxfxfbBiz = require("../biz/zmxfxfb");
const dqfxjdBiz = require("../biz/dqfxjd");
const gcaqztBiz = require("../biz/gcaqzt");
function setRouter(httpServer) {
    httpServer.get('/jhjd', asyncHandler(jhjdBiz.getData));
    httpServer.get('/xxjd', asyncHandler(xxjdBiz.getData));
    httpServer.get('/lcbjdwcqk', asyncHandler(lcbjdwcqkBiz.getData));
    httpServer.get('/zmxfxfb', asyncHandler(zmxfxfbBiz.getData));
    httpServer.get('/dqfxjd', asyncHandler(dqfxjdBiz.getData));
    httpServer.get('/gcaqzt', asyncHandler(gcaqztBiz.getData));
    httpServer.get('/aaa', asyncHandler(jhjdBiz.getJHJD));
}
exports.setRouter = setRouter;
//# sourceMappingURL=router.js.map