
import { dqfxjdTableData } from '../data/table/dqfxjdData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            当前风险节点                    */

export function getData(req, res) {
    let excelData = dqfxjdTableData();

    let ret:any = {};

    let dqfxzsPackageData = keyValuePackage(excelData['当前风险指数'].dataList);
    ret['dqfxzs'] = getKeyValueOut('当前风险指数', dqfxzsPackageData);
                    
    let jkPackageData = keyValuePackage(excelData['基坑'].dataList);
    ret['jk'] = getKeyValueOut('基坑', jkPackageData);
                    
    let qjPackageData = keyValuePackage(excelData['区间'].dataList);
    ret['qj'] = getKeyValueOut('区间', qjPackageData);
                    
    let ptdPackageData = keyValuePackage(excelData['旁通道'].dataList);
    ret['ptd'] = getKeyValueOut('旁通道', ptdPackageData);
                     
    res.send(ret);
} 