
import { xxjdTableData } from '../data/table/xxjdData';
import { doubleYBarCharPackage, keyValuePackage, onceYBarChartPackage, rankPackage, tablePackage } from '../dataPackage/inFrontOut';
import { getDoubleYBarChartOut, getKeyValueOut, getOnceYBarChartOut, getTableOut } from '../dataPackage/out';

/*                            形象进度                    */

export function getData(req, res) {
    let excelData = xxjdTableData();

    let ret:any = {};

    let czzsPackageData = keyValuePackage(excelData['车站总数'].dataList);
    ret['czzs'] = getKeyValueOut('车站总数', czzsPackageData);
                    
    let czxxsjPackageData = keyValuePackage(excelData['车站详细数据'].dataList);
    ret['czxxsj'] = getKeyValueOut('车站详细数据', czxxsjPackageData);
                    
    let dgjgztsPackageData = keyValuePackage(excelData['盾构机工作台数'].dataList);
    ret['dgjgzts'] = getKeyValueOut('盾构机工作台数', dgjgztsPackageData);
                    
    let dgjxxsjPackageData = keyValuePackage(excelData['盾构机详细数据'].dataList);
    ret['dgjxxsj'] = getKeyValueOut('盾构机详细数据', dgjxxsjPackageData);
                    
    let ptdzsPackageData = keyValuePackage(excelData['旁通道总数'].dataList);
    ret['ptdzs'] = getKeyValueOut('旁通道总数', ptdzsPackageData);
                    
    let ptdxxsjPackageData = keyValuePackage(excelData['旁通道详细数据'].dataList);
    ret['ptdxxsj'] = getKeyValueOut('旁通道详细数据', ptdxxsjPackageData);
                     
    res.send(ret);
} 